pcl::io::PointCloudImageExtractorFromIntensityField< PointT > Class Template Reference
Module io

Image Extractor which uses the data present in the "intensity" field to produce a monochrome intensity image (with mono16 encoding). More...

`#include <pcl/io/point_cloud_image_extractors.h>`

Inheritance diagram for pcl::io::PointCloudImageExtractorFromIntensityField< PointT >:

## Public Types

typedef boost::shared_ptr< PointCloudImageExtractorFromIntensityField< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudImageExtractorFromIntensityField< PointT > > | ConstPtr
Public Types inherited from pcl::io::PointCloudImageExtractorWithScaling< PointT >
enum | ScalingMethod { SCALING_NO, SCALING_FULL_RANGE, SCALING_FIXED_FACTOR }
| Different scaling methods. More...
typedef boost::shared_ptr< PointCloudImageExtractorWithScaling< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudImageExtractorWithScaling< PointT > > | ConstPtr
Public Types inherited from pcl::io::PointCloudImageExtractor< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef boost::shared_ptr< PointCloudImageExtractor< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudImageExtractor< PointT > > | ConstPtr

## Public Member Functions

| PointCloudImageExtractorFromIntensityField (const ScalingMethod scaling_method=PointCloudImageExtractorWithScaling< PointT >::SCALING_NO)
| Constructor. More...
| PointCloudImageExtractorFromIntensityField (const float scaling_factor)
| Constructor. More...
virtual | ~PointCloudImageExtractorFromIntensityField ()
| Destructor. More...
Public Member Functions inherited from pcl::io::PointCloudImageExtractorWithScaling< PointT >
| PointCloudImageExtractorWithScaling (const std::string &field_name, const ScalingMethod scaling_method)
| Constructor. More...
| PointCloudImageExtractorWithScaling (const std::string &field_name, const float scaling_factor)
| Constructor. More...
virtual | ~PointCloudImageExtractorWithScaling ()
| Destructor. More...
void | setScalingMethod (const ScalingMethod scaling_method)
| Set scaling method. More...
void | setScalingFactor (const float scaling_factor)
| Set fixed scaling factor. More...
Public Member Functions inherited from pcl::io::PointCloudImageExtractor< PointT >
| PointCloudImageExtractor ()
| Constructor. More...
virtual | ~PointCloudImageExtractor ()
| Destructor. More...
bool | extract (const PointCloud &cloud, pcl::PCLImage &image) const
| Obtain the image from the given cloud. More...
void | setPaintNaNsWithBlack (bool flag)
| Set a flag that controls if image pixels corresponding to NaN (infinite) points should be painted black. More...

## Additional Inherited Members

Protected Member Functions inherited from pcl::io::PointCloudImageExtractorWithScaling< PointT >
virtual bool | extractImpl (const PointCloud &cloud, pcl::PCLImage &image) const
| Implementation of the extract() function, has to be implemented in deriving classes. More...
Protected Attributes inherited from pcl::io::PointCloudImageExtractorWithScaling< PointT >
std::string | field_name_
ScalingMethod | scaling_method_
float | scaling_factor_
Protected Attributes inherited from pcl::io::PointCloudImageExtractor< PointT >
bool | paint_nans_with_black_
| A flag that controls if image pixels corresponding to NaN (infinite) points should be painted black. More...

## Detailed Description

### template<typename PointT>
class pcl::io::PointCloudImageExtractorFromIntensityField< PointT >

Image Extractor which uses the data present in the "intensity" field to produce a monochrome intensity image (with mono16 encoding).

Author
  Sergey Alexandrov

Definition at line 397 of file point_cloud_image_extractors.h.

## Member Typedef Documentation

template<typename PointT >

typedef boost::shared_ptr<const PointCloudImageExtractorFromIntensityField<PointT> > pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::ConstPtr

Definition at line 404 of file point_cloud_image_extractors.h.

template<typename PointT >

typedef boost::shared_ptr<PointCloudImageExtractorFromIntensityField<PointT> > pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::Ptr

Definition at line 403 of file point_cloud_image_extractors.h.

## Constructor & Destructor Documentation

template<typename PointT >

pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::PointCloudImageExtractorFromIntensityField | ( | const ScalingMethod | scaling_method = `PointCloudImageExtractorWithScaling<PointT>::SCALING_NO` | ) |

inline

Constructor.

Parameters

  [in] | scaling_method | a scaling method to use (default SCALING_NO)

Definition at line 409 of file point_cloud_image_extractors.h.

template<typename PointT >

pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::PointCloudImageExtractorFromIntensityField | ( | const float | scaling_factor | ) |

inline

Constructor.

Parameters

  [in] | scaling_factor | a scaling factor to apply to each intensity value

Definition at line 417 of file point_cloud_image_extractors.h.

template<typename PointT >

virtual pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::~PointCloudImageExtractorFromIntensityField | ( |  | ) |

inline virtual

Destructor.

Definition at line 423 of file point_cloud_image_extractors.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/point_cloud_image_extractors.h